aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/seamonkey/APKBUILD25
1 files changed, 14 insertions, 11 deletions
diff --git a/testing/seamonkey/APKBUILD b/testing/seamonkey/APKBUILD
index 97be5df2dc..2d0c807df6 100644
--- a/testing/seamonkey/APKBUILD
+++ b/testing/seamonkey/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Marc Vertes <mvertes@free.fr>
pkgname=seamonkey
pkgver=2.40
-pkgrel=0
+pkgrel=1
pkgdesc="all-in-one internet application suite"
url="http://www.seamonkey-project.org"
arch="all !aarch64"
@@ -43,21 +43,24 @@ build() {
# Disable null pointer gcc6 optimization in gcc6 (rhbz#1328045)
MOZ_OPT_FLAGS="$MOZ_OPT_FLAGS -fno-delete-null-pointer-checks"
unset MAKEFLAGS CPPFLAGS
- make -f client.mk build
+
+ make -f client.mk build || return 1
}
package() {
cd "$builddir"
- paxmark -msp */dist/bin/xpcshell
- make -f client.mk DESTDIR="$pkgdir" INSTALL_SDK= install
- paxmark -msp "$pkgdir/usr/lib/seamonkey-$pkgver/seamonkey"
- paxmark -msp "$pkgdir/usr/lib/seamonkey-$pkgver/seamonkey-bin"
- paxmark -msp "$pkgdir/usr/lib/seamonkey-$pkgver/plugin-container"
+ paxmark -msp */dist/bin/xpcshell || return 1
+ make -f client.mk DESTDIR="$pkgdir" INSTALL_SDK= install || return 1
+ paxmark -msp "$pkgdir/usr/lib/seamonkey-$pkgver/seamonkey" \
+ "$pkgdir/usr/lib/seamonkey-$pkgver/seamonkey-bin" \
+ "$pkgdir/usr/lib/seamonkey-$pkgver/plugin-container" || return 1
- rm -rf "$pkgdir/usr/lib/seamonkey-$pkgver/dictionaries"
- rm -rf "$pkgdir/usr/lib/seamonkey-$pkgver/hypenation"
- ln -s /usr/share/hunspell "$pkgdir/usr/lib/seamonkey-$pkgver/dictionaries"
- ln -s /usr/share/hyphen "$pkgdir/usr/lib/seamonkey-$pkgver/hyphenation"
+ rm -rf "$pkgdir/usr/lib/seamonkey-$pkgver/dictionaries" \
+ "$pkgdir/usr/lib/seamonkey-$pkgver/hypenation"
+ ln -s /usr/share/hunspell \
+ "$pkgdir/usr/lib/seamonkey-$pkgver/dictionaries"
+ ln -s /usr/share/hyphen \
+ "$pkgdir/usr/lib/seamonkey-$pkgver/hyphenation"
install -Dm644 suite/branding/nightly/icons/gtk/seamonkey.png \
"$pkgdir/usr/share/pixmaps/seamonkey.png"
install -Dm644 mozilla/toolkit/mozapps/installer/linux/rpm/mozilla.desktop \